Package: smstools
Version: 3.1.14-1.1
Severity: grave

Dear Maintainer,

   * What led up to the situation?

I'm starting smsd not as a daemon, I use 'smsd -s' instead.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

call 'smsd -s' at an xterm (this time as root to avoid permission issues)

   * What was the outcome of this action?

'Segmentation fault': The process is not terminated, it still can be seen at 
'ps auxw' but it only comes so far that it creates a .LOCK file at the 
checked directory without moving the message file itself.

I append the ouput of the log file.

log/aptitude (yesterday night): smstools:amd64 3.1.14-1 -> 3.1.14-1.1
It worked before but not anymore after the upgrade.

I tried it with and without (then the log file looks different, of course)
having the phone plugged (USB).

I tried it with using the daemon option but the process got stuck the same way.
It seems that the package is now unusable at all. So I gave it the 
severity grave.

   * What outcome did you expect instead?

The display status monitor should be displayed in the terminal.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL 
set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages smstools depends on:
ii  adduser  3.113+nmu3
ii  debconf  1.5.44
ii  libc6    2.13-33
ii  libmm14  1.4.2-4
ii  ucf      3.0025+nmu3

smstools recommends no packages.

smstools suggests no packages.

-- Configuration Files:
/etc/default/smstools changed:
START_DAEMON="no"
USER="smsd"
GROUP="dialout"
PIDFILE="/var/run/smstools/smsd.pid"
INFOFILE="/var/run/smstools/smsd.working"

/etc/init.d/smstools changed:
PATH=/sbin:/bin:/usr/sbin:/usr/bin
DAEMON=/usr/sbin/smsd
DEFAULT=/etc/default/smstools
NAME=smsd
PACKAGE=smstools
DESC='SMS Daemon'
test -x $DAEMON || exit 0
if [ ! -f /etc/default/$PACKAGE ]
then
        exit 1
else
        . /etc/default/smstools
fi
test $START_DAEMON != "yes" && exit 0
start () {
        # Recreate /var/run/smstools if it went missing
        rundir="/var/run/smstools"
        if [ ! -d $rundir ]; then
            # Create directory
            mkdir -p $rundir
            # Set permissions
            if ! dpkg-statoverride --list $rundir >/dev/null 2>&1 ; then
                dpkg-statoverride --update --add smsd smsd 2755 $rundir
            else
                # Get user/group/perms from dpkg-statoverride
                # We go through this torture, because the user should be able
                # to override the permissions for /v/r/smstools via
                # dpkg-statoverride
                D_USER="`dpkg-statoverride --list $rundir|cut -d' ' -f1`"
                D_GROUP="`dpkg-statoverride --list $rundir|cut -d' ' -f2`"
                PERMS="`dpkg-statoverride --list $rundir|cut -d' ' -f3`"
                chown ${D_USER}:${D_GROUP} $rundir
                chmod ${PERMS} $rundir
            fi
        fi
        if ! ps -C smsd > /dev/null 2>&1 ; then
                # Delete infofile if it exists
                if [ -f $INFOFILE ]; then
                        rm $INFOFILE
                fi
                if [ -f $PIDFILE ]; then
                        rm $PIDFILE
                fi
                # Delete lock files if they exist
                find /var/spool/sms -name '*.LOCK' -exec rm \{\} \;
        fi
        # Start the daemon
        ARGS="-p$PIDFILE -i$INFOFILE -u$USER -g$GROUP"
        if start-stop-daemon -q --start --background -p $PIDFILE --exec $DAEMON 
-- $ARGS ; then
                echo "$NAME."
        else
                echo "$NAME already running."
        fi
        sleep 1
}
forcestop ()
{
        if [ -f $PIDFILE ]; then
                PID=`cat $PIDFILE 2>/dev/null`
        fi
        if ! kill -0 $PID 2>/dev/null 2>/dev/null; then
                echo "$NAME not running."
        else
                kill -9 $PID
                if [ -f $PIDFILE ]; then
                        rm $PIDFILE
                fi
                if kill -0 $PID 2>/dev/null 2>/dev/null; then
                        echo "Failed."
                else
                        echo "$NAME."
                fi
        fi
}
status()
{
        if [ ! -f $PIDFILE ]; then
                return 1;
        fi
    start-stop-daemon --start --quiet -p $PIDFILE --exec $DAEMON --test > 
/dev/null
    if [ "$?" = '0' ]; then
                return 1    # Daemon is not running
    else
        return 0    # Daemon is running
    fi
}
stop () {
        restartmode="0"
        if [ "$1" = 'restart' ]; then
                restartmode=1
        fi
        if [ -f $PIDFILE ]; then
                PID=`cat $PIDFILE 2>/dev/null`
        fi
        if ! kill -0 $PID 2>/dev/null 2>/dev/null; then
                echo "$NAME not running."
                if [ "$restartmode" -lt 1 ]
                then
                        return 0
                fi
        fi
        infofound=0
        maxwait=15
        start-stop-daemon --stop --quiet --pidfile $PIDFILE --exec $DAEMON
        #
        #       Now we have to wait until smsd has _really_ stopped
        #
        sleep 1
        if test -n "$PID" && kill -0 $PID 2>/dev/null
        then
                echo -n "(waiting..."
                seconds=0
                while kill -0 $PID 2>/dev/null
                do
                        if [ $infofound -lt 1 ]; then
                                if [ -f $INFOFILE ]; then
                                        infofound=1
                                fi
                        fi
                        if [ $infofound -lt 1 ]; then
                                seconds=`expr $seconds + 1`
                        fi
                        if [ $seconds -ge $maxwait ]; then
                                echo -n "failed)"
                                echo -n "Timeout occured, killing smsd hardly."
                                kill -9 $PID
                                if [ -f $PIDFILE ]; then
                                        rm $PIDFILE
                                fi
                                echo ""
                                exit 0
                        fi
                        sleep 1
                done
                echo -n "done)"
        fi
        if [ "$restartmode" -lt 1 ]; then
                echo "$NAME."
        fi
}
case "$1" in
        start)
                echo -n "Starting $DESC: "
                start
        ;;
        stop)
                echo -n "Stopping $DESC: "
                stop
        ;;
        status)
                echo -n "Status of $DESC: "
                status
                case "$?" in
                0)
                echo "$NAME is running."
                ;;
            1)
                echo "$NAME is not running."
                                ;;
                esac
        ;;
        force-stop)
                echo -n "Forcing stop of $DESC: "
                force-stop
                echo "$NAME."
        ;;
        restart|reload|force-reload)
                echo -n "Restarting $DESC: "
                stop restart
                start
        ;;
        *)
                echo "Usage: /etc/init.d/$NAME 
{start|stop|force-stop|reload|force-reload|restart|status}"
                exit 3
        ;;
esac
exit 0


-- debconf information:
  smstools/devicebaudrate: 19200
  smstools/modems/devicebaudrate1: 19200
  smstools/configureanothermodem: false
  smstools/devicename: GSM1
  smstools/modems/deviceincoming1: true
  smstools/deviceincoming: true
  smstools/configure: true
  smstools/deviceinit:
  smstools/modems/deviceinit1:
  smstools/eventhandler:
  smstools/devicebaudrateother:
  smstools/devicenodeother:
  smstools/devicenode:
  smstools/modems/devicename1: GSM1
  smstools/configureanothermodem1: false
  smstools/modems/devicenode1: /dev/ttyS0

--Log file (smsd.log)

2012-07-22 15:35:58,2, smsd: Smsd v3.1.14 started.
2012-07-22 15:35:58,2, smsd: Running as root:root.
2012-07-22 15:35:58,7, smsd: Running startup_check (shell): 
/home/smsd/sms/incoming/smsd_script.6SY0te /tmp/smsd_data.uKg6ps
2012-07-22 15:35:58,7, smsd: Done: startup_check (shell), execution time 0 
sec., status: 0 (0)
2012-07-22 15:35:58,4, smsd: File mode creation mask: 022 (0644, rw-r--r--).
2012-07-22 15:35:58,2, smsd: Running in terminal mode.
2012-07-22 15:35:58,5, smsd: Outgoing file checker has started. PID: 18170.
2012-07-22 15:35:58,7, smsd: All PID's: 18170,18173
2012-07-22 15:35:58,5, GSM1: Modem handler 0 has started. PID: 18173. Will only 
send messages.
2012-07-22 15:35:58,6, GSM1: Checking if modem is ready
2012-07-22 15:35:58,7, GSM1: -> AT
2012-07-22 15:35:58,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:35:59,7, GSM1: <- AT OK
2012-07-22 15:35:59,6, GSM1: Pre-initializing modem
2012-07-22 15:35:59,7, GSM1: -> ATE0+CMEE=1;+CREG=2
2012-07-22 15:35:59,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:35:59,7, GSM1: <- ATE0+CMEE=1;+CREG=2 OK
2012-07-22 15:35:59,6, GSM1: Checking if modem needs PIN
2012-07-22 15:35:59,7, GSM1: -> AT+CPIN?
2012-07-22 15:35:59,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:36:00,7, GSM1: <- +CPIN: READY OK
2012-07-22 15:36:00,7, GSM1: -> AT+CSQ
2012-07-22 15:36:00,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:36:00,7, GSM1: <- +CSQ: 17,99 OK
2012-07-22 15:36:00,6, GSM1: Signal Strength Indicator: (17,99) -79 dBm (Good), 
Bit Error Rate: not known or not detectable
2012-07-22 15:36:00,6, GSM1: Checking if Modem is registered to the network
2012-07-22 15:36:00,7, GSM1: -> AT+CREG?
2012-07-22 15:36:00,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:36:01,7, GSM1: <- +CREG: 2,5,"4269","5EF6" OK
2012-07-22 15:36:01,6, GSM1: Modem is registered to a roaming partner network
2012-07-22 15:36:01,6, GSM1: Location area code: 4269, Cell ID: 5EF6
2012-07-22 15:36:01,7, GSM1: -> AT+CSQ
2012-07-22 15:36:01,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:36:01,7, GSM1: <- +CSQ: 17,99 OK
2012-07-22 15:36:01,6, GSM1: Signal Strength Indicator: (17,99) -79 dBm (Good), 
Bit Error Rate: not known or not detectable
2012-07-22 15:36:01,6, GSM1: Selecting PDU mode
2012-07-22 15:36:01,7, GSM1: -> AT+CMGF=0
2012-07-22 15:36:01,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:36:02,7, GSM1: <- OK
2012-07-22 15:36:02,7, GSM1: -> AT+CIMI
2012-07-22 15:36:02,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:36:02,7, GSM1: <- xxx OK
2012-07-22 15:36:02,7, GSM1: -> AT+CGSN
2012-07-22 15:36:02,7, GSM1: Command is sent, waiting for the answer
2012-07-22 15:36:03,7, GSM1: <- xxx OK
2012-07-22 15:36:03,5, GSM1: CGSN: xxx
2012-07-22 15:36:03,5, GSM1: IMSI: xxx
2012-07-22 15:36:03,5, GSM1: Waiting for messages to send...


-- 
To UNSUBSCRIBE, email to debian-bugs-dist-requ...@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmas...@lists.debian.org

Reply via email to